package com.xhpc.common.data.up;

//充电桩与 BMS 充电错误报文
public class BmsErrorData extends BaseData {

    private String orderNo; //交易流水号
    private String pileNo; //桩号
    private String gunId; //枪号
    private String SPN25600x00; //接收 SPN2560=0x00 的充电机辨识报文超时 <00>：=正常；<01>：=超时；<10>：=不可信状态
    private String SPN25600xAA; //接收 SPN2560=0xAA 的充电机辨识报文超时
    private String reserved; //预留位
    private String timeSyncAndMaxOutputMsgOt; //接收充电机的时间同步和充电机最大输出能力报文超时
    private String chargeCompleteMsgOt; //接收充电机完成充电准备报文超时
    private String reserved1; //预留位
    private String chargeStatusMsgOt; //接收充电机充电状态报文超时
    private String chargeStopMsgOt; //接收充电机中止充电报文超时
    private String reserved2; //预留位
    private String chargerSummaryMsgOt; //接收充电机充电统计报文超时
    private String bmsOther; //其他
    private String bmsAndVehicleIdentMsgOt; //接收 BMS 和车辆的辨识报文超时
    private String reserved3; //预留位
    private String batteryChargeParamMsgOt; //接收电池充电参数报文超时
    private String bmsChargingPreparedMsgOt; //接收 BMS 完成充电准备报文超时
    private String reserved4; //预留位
    private String batteryChargeStatusSummaryMsgOt; //接收电池充电总状态报文超时
    private String batteryChargingRequestMsgOt; //接收电池充电要求报文超时
    private String bmsStopMsgOt; //接收 BMS 中止充电报文超时
    private String reserved5; //预留位
    private String bmsChargingSummaryMsgOt; //接收 BMS 充电统计报文超时
    private String chargerOther; //充电机其他

    public String getOrderNo() {

        return orderNo;
    }

    public void setOrderNo(String orderNo) {

        this.orderNo = orderNo;
    }

    public String getPileNo() {

        return pileNo;
    }

    public void setPileNo(String pileNo) {

        this.pileNo = pileNo;
    }

    public String getGunId() {

        return gunId;
    }

    public void setGunId(String gunId) {

        this.gunId = gunId;
    }

    public String getSPN25600x00() {

        return SPN25600x00;
    }

    public void setSPN25600x00(String SPN25600x00) {

        this.SPN25600x00 = SPN25600x00;
    }

    public String getSPN25600xAA() {

        return SPN25600xAA;
    }

    public void setSPN25600xAA(String SPN25600xAA) {

        this.SPN25600xAA = SPN25600xAA;
    }

    public String getReserved() {

        return reserved;
    }

    public void setReserved(String reserved) {

        this.reserved = reserved;
    }

    public String getTimeSyncAndMaxOutputMsgOt() {

        return timeSyncAndMaxOutputMsgOt;
    }

    public void setTimeSyncAndMaxOutputMsgOt(String timeSyncAndMaxOutputMsgOt) {

        this.timeSyncAndMaxOutputMsgOt = timeSyncAndMaxOutputMsgOt;
    }

    public String getChargeCompleteMsgOt() {

        return chargeCompleteMsgOt;
    }

    public void setChargeCompleteMsgOt(String chargeCompleteMsgOt) {

        this.chargeCompleteMsgOt = chargeCompleteMsgOt;
    }

    public String getReserved1() {

        return reserved1;
    }

    public void setReserved1(String reserved1) {

        this.reserved1 = reserved1;
    }

    public String getChargeStatusMsgOt() {

        return chargeStatusMsgOt;
    }

    public void setChargeStatusMsgOt(String chargeStatusMsgOt) {

        this.chargeStatusMsgOt = chargeStatusMsgOt;
    }

    public String getChargeStopMsgOt() {

        return chargeStopMsgOt;
    }

    public void setChargeStopMsgOt(String chargeStopMsgOt) {

        this.chargeStopMsgOt = chargeStopMsgOt;
    }

    public String getReserved2() {

        return reserved2;
    }

    public void setReserved2(String reserved2) {

        this.reserved2 = reserved2;
    }

    public String getChargerSummaryMsgOt() {

        return chargerSummaryMsgOt;
    }

    public void setChargerSummaryMsgOt(String chargerSummaryMsgOt) {

        this.chargerSummaryMsgOt = chargerSummaryMsgOt;
    }

    public String getBmsOther() {

        return bmsOther;
    }

    public void setBmsOther(String bmsOther) {

        this.bmsOther = bmsOther;
    }

    public String getBmsAndVehicleIdentMsgOt() {

        return bmsAndVehicleIdentMsgOt;
    }

    public void setBmsAndVehicleIdentMsgOt(String bmsAndVehicleIdentMsgOt) {

        this.bmsAndVehicleIdentMsgOt = bmsAndVehicleIdentMsgOt;
    }

    public String getReserved3() {

        return reserved3;
    }

    public void setReserved3(String reserved3) {

        this.reserved3 = reserved3;
    }

    public String getBatteryChargeParamMsgOt() {

        return batteryChargeParamMsgOt;
    }

    public void setBatteryChargeParamMsgOt(String batteryChargeParamMsgOt) {

        this.batteryChargeParamMsgOt = batteryChargeParamMsgOt;
    }

    public String getBmsChargingPreparedMsgOt() {

        return bmsChargingPreparedMsgOt;
    }

    public void setBmsChargingPreparedMsgOt(String bmsChargingPreparedMsgOt) {

        this.bmsChargingPreparedMsgOt = bmsChargingPreparedMsgOt;
    }

    public String getReserved4() {

        return reserved4;
    }

    public void setReserved4(String reserved4) {

        this.reserved4 = reserved4;
    }

    public String getBatteryChargeStatusSummaryMsgOt() {

        return batteryChargeStatusSummaryMsgOt;
    }

    public void setBatteryChargeStatusSummaryMsgOt(String batteryChargeStatusSummaryMsgOt) {

        this.batteryChargeStatusSummaryMsgOt = batteryChargeStatusSummaryMsgOt;
    }

    public String getBatteryChargingRequestMsgOt() {

        return batteryChargingRequestMsgOt;
    }

    public void setBatteryChargingRequestMsgOt(String batteryChargingRequestMsgOt) {

        this.batteryChargingRequestMsgOt = batteryChargingRequestMsgOt;
    }

    public String getBmsStopMsgOt() {

        return bmsStopMsgOt;
    }

    public void setBmsStopMsgOt(String bmsStopMsgOt) {

        this.bmsStopMsgOt = bmsStopMsgOt;
    }

    public String getReserved5() {

        return reserved5;
    }

    public void setReserved5(String reserved5) {

        this.reserved5 = reserved5;
    }

    public String getBmsChargingSummaryMsgOt() {

        return bmsChargingSummaryMsgOt;
    }

    public void setBmsChargingSummaryMsgOt(String bmsChargingSummaryMsgOt) {

        this.bmsChargingSummaryMsgOt = bmsChargingSummaryMsgOt;
    }

    public String getChargerOther() {

        return chargerOther;
    }

    public void setChargerOther(String chargerOther) {

        this.chargerOther = chargerOther;
    }

}
